%define majver %(echo %version | cut -d. -f1-2)

Name:          mimetreeparser
Version:       24.12.3
Release:       1mamba
Summary:       A parser for a MIME tree and is based on KMime
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/mimetreeparser-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6PrintSupport
BuildRequires: libQt6Widgets
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libgpgme-devel
BuildRequires: libgpgmepp
BuildRequires: libkf6-kcalendarcore-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkleo-devel
BuildRequires: libkmbox-devel
BuildRequires: libkmime-devel
BuildRequires: libqgpgme-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtdeclarative-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
A parser for a MIME tree and is based on KMime.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A parser for a MIME tree and is based on KMime.

%description -n lib%{name}
A parser for a MIME tree and is based on KMime.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake_kf6

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --with-html --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name} -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libKPim6MimeTreeParserCore.so.*
%{_libdir}/libKPim6MimeTreeParserWidgets.so.*
%dir %{_qt6_qmldir}/org/kde/pim/mimetreeparser
%{_qt6_qmldir}/org/kde/pim/mimetreeparser/*
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/KPim6/MimeTreeParserCore
%{_includedir}/KPim6/MimeTreeParserCore/*
%dir %{_includedir}/KPim6/MimeTreeParserWidgets
%{_includedir}/KPim6/MimeTreeParserWidgets/*
%{_libdir}/libKPim6MimeTreeParserCore.so
%{_libdir}/libKPim6MimeTreeParserWidgets.so
%dir %{_libdir}/cmake/KPim6MimeTreeParserCore
%{_libdir}/cmake/KPim6MimeTreeParserCore/KPim6MimeTreeParser*.cmake
%dir %{_libdir}/cmake/KPim6MimeTreeParserWidgets
%{_libdir}/cmake/KPim6MimeTreeParserWidgets/KPim6MimeTreeParser*.cmake
%{_qt6_archdatadir}/mkspecs/modules/qt_MimeTreeParser*.pri
%{_qt6_docdir}/KPim6MimeTreeParser*.*
%{_datadir}/qlogging-categories6/mimetreeparser.categories

%changelog
* Sun Mar 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Sun Dec 15 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Fri Sep 13 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Sat Aug 24 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Mon May 27 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Sat Mar 23 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Sat Mar 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.02.0-1mamba
- package created using the webbuild interface
